[DRE-commits] [ruby-jquery-ui-rails] 01/01: add smoke test

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Fri Nov 25 16:03:21 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository ruby-jquery-ui-rails.

commit 74137d958a30b69be0bc1210cc991132b9e18310
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Fri Nov 25 20:25:04 2016 +0530

    add smoke test
---
 debian/changelog        |  1 +
 debian/tests/control    |  3 +++
 debian/tests/smoke-test | 20 ++++++++++++++++++++
 3 files changed, 24 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 7730ace..7464448 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 ruby-jquery-ui-rails (5.0.5-6) unstable; urgency=medium
 
   * Fix typo in links path (Closes: #845645)
+  * Add a smoke test (test if the assets can be found by sprockets)
 
  -- Pirate Praveen <praveen at debian.org>  Fri, 25 Nov 2016 20:17:03 +0530
 
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..db92404
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: smoke-test
+Depends: @, ruby-bundler, rails
+Restrictions: needs-recommends
diff --git a/debian/tests/smoke-test b/debian/tests/smoke-test
new file mode 100755
index 0000000..8b23a41
--- /dev/null
+++ b/debian/tests/smoke-test
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+exec 2>&1
+set -ex
+
+
+cd $ADTTMP
+rails new foo
+cd foo
+
+cat >> Gemfile <<EOF
+gem 'jquery-ui-rails'
+EOF
+
+cat >> app/assets/javascripts/application.js <<EOF
+# =require jquery-ui
+EOF
+
+bundle install --local
+bundle exec rake assets:precompile

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-jquery-ui-rails.git



More information about the Pkg-ruby-extras-commits mailing list